### Function

# Gck modules_enumerate_objects

#### Declaration [src]

    GckEnumerator*
    gck_modules_enumerate_objects (
      GList* modules,
      GckAttributes* attrs,
      GckSessionOptions session_options
    )

#### Description [src]

Setup an enumerator for listing matching objects on the modules.

This call will not block but will return an enumerator immediately.

If the `attrs` `GckAttributes` is floating, it is consumed.

#### Parameters

`modules` | A list of `GckModule*`
| The modules.
| The data is owned by the caller of the function.
`attrs` | `GckAttributes`
| Attributes that the objects must have, or empty for all objects.
| The data is owned by the caller of the function.
`session_options` | `GckSessionOptions`
| Options from GckSessionOptions.

#### Return value

Returns: | `GckEnumerator`
| A new enumerator, which should be released with g_object_unref().
| The caller of the function takes ownership of the data, and is responsible for freeing it.